Page 1 of 1

Paragraph size

PostPosted: Sun Apr 18, 2021 11:44 pm
by proton305
Dear all,I'm quite new to Impress and I've a probably stupid question ... I got an .odp file from a collegue that I need to modify. It was created in 2015.
It opens clearly in 4.1.9 except that gives a warning that it was created with a newer version (strange I've just downloaded the latest and the file is from 2015)
but then most of the slides have paragraphs longer then the page. see picture
Can you help ? Is there a general setting that I'm missing ?
Thanks
franco

Re: paragraph size

PostPosted: Mon Apr 19, 2021 12:02 am
by RusselB
Welcome to the Forums.
While I can't say for sure, the paragraph problem might be related to the warning message, which usually comes up when a file was created using LibreOffice and then opened in OpenOffice.
You might try downloading a copy of LibreOffice, installing it (there is a portable version you can try without installing) and then try opening the file in that to see if you get the same results.

Re: Paragraph size

PostPosted: Mon Apr 19, 2021 3:54 pm
by John_Ha
proton305 wrote:It ... gives a warning that it was created with a newer version

What are the exact words of the warning message?

Re: Paragraph size

PostPosted: Mon Apr 19, 2021 4:11 pm
by RoryOF
The problem may also be caused by different fonts being used (silently replaced); such fonts may have the same letter spacings as the originals, but a different height requirement.

 Edit: If the original file was made in 2015, it is possible that it was on a Windows 7 computer, which uses a different set of fonts to the Windows 10 computer you are using. OpenOffice will silently replace a missing font with as close a substitute as it can find. On your screenshot, the lines look OK for length (matching letter spacing?) but the inter paragraph spacings are off. 

Re: Paragraph size

PostPosted: Mon Apr 19, 2021 6:35 pm
by Zizi64
The highest available version number of the ODF documentum format is "ODF 1.2 Extended" in the AOO 4.1.9.
The default ODF version is "ODF 1.3 Extended" in the latest (7.x.x) LibreOffice versions.

Maybe your documents were created in the LO with 1.3 ODF version.

It is better to use the "ODF 1.1" version if you/others must open the created documents in MS Office or in older versions of the LO or in the obsolete AOO versions. You can adjust it in the Settings:
Tools - Options - Load/Save - General

Note:
you will lose some features when you use an older ODF versions, but it means higher compatibility with the other office suites.